Skip to main content
GET
/
v1
/
options
/
greeks
Get historical Greeks for a single option contract
curl --request GET \
  --url https://data-tools.prd.arrays.org/api/v1/options/greeks \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "date": "<string>",
      "delta": 123,
      "dividend_yield": 123,
      "dte": 123,
      "gamma": 123,
      "implied_volatility": 123,
      "option_close": 123,
      "options_ticker": "<string>",
      "risk_free_rate": 123,
      "spot_price": 123,
      "status": "<string>",
      "theta": 123,
      "time_close": 123,
      "time_open": 123,
      "underlying_symbol": "<string>",
      "vega": 123
    }
  ],
  "error": {
    "code": "RESOURCE_NOT_FOUND",
    "details": [
      {
        "field": "<string>",
        "got": "<string>",
        "reason": "<string>"
      }
    ],
    "docs_url": "<string>",
    "examples": [
      "<string>"
    ],
    "hint": "<string>",
    "message": "The requested resource was not found.",
    "suggestions": [
      "<string>"
    ]
  },
  "pagination": "<unknown>",
  "request_id": "<string>",
  "success": true
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Example: "your-api-key-here"

Query Parameters

options_ticker
string
required

OCC contract symbol, e.g. O:AAPL260418C00260000

start_date
string
required

Start date, YYYY-MM-DD

end_date
string
required

End date, YYYY-MM-DD

Response

OK

data
object[]
error
object
pagination
any
request_id
string
success
boolean